Bug 1336486 - Organization context menu not being updated on creating new organization
Summary: Organization context menu not being updated on creating new organization
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Organizations and Locations
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Ondřej Pražák
QA Contact: Roman Plevka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-16 15:27 UTC by Roman Plevka
Modified: 2019-09-26 16:20 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 17681 None None None 2016-12-15 10:25:23 UTC
Foreman Issue Tracker 21867 None None None 2017-12-05 14:10:58 UTC

Description Roman Plevka 2016-05-16 15:27:18 UTC
Description of problem:
On creating a new organization via `manage organizations` page, the title of the Context-switching menu changes to 'Any Context' (however, according to the behavior, the context has changed to the newly created organization).

Version-Release number of selected component (if applicable):
sat 6.2.0 Beta (GA11)

How reproducible:


Steps to Reproduce:
1. create a new organization using WebUI
2. Notice the Organization dropdown stays at/changes to 'Any Context'
3. navigating to some other resource, e.g. Activation Keys shows, we actually use the context of the new org (no 'select organization' dialog appears)

Actual results:
navbar menu says: "Any Context"

Expected results:
navbar menu changes to the name of the newly created Org

Additional info:

Comment 1 Roman Plevka 2016-05-16 15:28:46 UTC
marking this as a blocker as almost every user using multiple organizations will see this as 1 of the first things in Satellite

Comment 4 Ondřej Pražák 2016-12-15 10:25:21 UTC
Created redmine issue http://projects.theforeman.org/issues/17681 from this bug

Comment 5 Bryan Kearney 2016-12-15 11:02:15 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 6 pm-sat@redhat.com 2017-01-25 11:02:50 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/17681 has been resolved.

Comment 7 Daniel Lobato Garcia 2017-01-27 08:50:18 UTC
Setting as triaged as there's a fix already upstream

Comment 9 Roman Plevka 2017-08-03 16:05:06 UTC
The context now changes to the new organization, after leaving the wizard 'the correct' way.
However, there is a case, after user creates an org, there is the 'assign host dialog' on this dialog, the context is still set to 'any context'...if user exits teh wizard by navigating to some other page (e.g. infrastructure->subnets), the context will stay at 'any' with the behavior of the newly created org.

Comment 10 Ondřej Pražák 2017-08-09 07:23:32 UTC
I was able to reproduce the behaviour in comment #9, I think you can fail this.

Comment 11 Roman Plevka 2017-08-15 10:19:53 UTC
Failing due to behaviour described in comment #9

Comment 12 Ondřej Pražák 2017-12-05 14:10:56 UTC
Connecting redmine issue http://projects.theforeman.org/issues/21867 from this bug

Comment 14 Roman Plevka 2017-12-18 14:57:20 UTC
VERIFIED
on snap#29

the context is now correctly switched even on exiting the wizard prematurely

Comment 15 pm-sat@redhat.com 2018-02-21 16:54:37 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> > 
> > For information on the advisory, and where to find the updated files, follow the link below.
> > 
> > If the solution does not work for you, open a new bug report.
> > 
> > https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.